Bug 65617 - fetchmail rpm depends on sendmail
Summary: fetchmail rpm depends on sendmail
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fetchmail   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-28 17:54 UTC by Need Real Name
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 15:07:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-28 17:54:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
upgrading to fetchmail via up2date forced me to install sendmail, which broke
email on my system until I reverted it and reinstalled the pertinent portions of
qmail.

As far as I know, fetchmail does not depend on sendmail.  It depends on having a
working SMTP daemon, but that is all.

Also, it would be nice if up2date would allow me to reject supposedly "required"
packages and yet continue with upgrading the ones I care about, for cases like
this when dependencies are incorrect.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Upgrade to latest fetchmail via up2date.
2.
3.
	

Actual Results:  up2date claimed it had to also upgrade to latest sendmail.

Expected Results:  up2date should have upgraded only fetchmail, or at least
provided me an option to cancel just the sendmail upgrade while proceeding with
the rest.

Additional info:

Comment 1 Miloslav Trmač 2005-06-03 15:07:02 UTC
I'm sorry about the late response.

fetchmail actually requires "smtpdaemon"; if you are using qmail, you
should have it packaged in a rpm package that provides "smtpdaemon".

up2date can't know whether the required package has a working replacement
on your system or not; ignoring (or just allowing the user to ignore)
dependencies could easily lead to partially installed systems with
non-working software.


Note You need to log in before you can comment on or make changes to this bug.